| Production tasks assigned to one person | GET /v1/tasks/by-assignee | tasks.read |
| A task’s comments, checklist and attachments | GET /v1/tasks/{taskId}/extras | tasks.read |
| Create a production task | POST /v1/tasks | tasks.write |
| Update a production task | PATCH /v1/tasks/{taskId} | tasks.write |
| Delete a production task | DELETE /v1/tasks/{taskId} | tasks.write |
| Patch every production task matching a target | POST /v1/tasks/bulk/update | tasks.write |
| Delete every production task matching a target | POST /v1/tasks/bulk/delete | tasks.write |
| Comment on a production task | POST /v1/tasks/{taskId}/comments | tasks.write |
| Edit a task comment | PATCH /v1/task-comments/{commentId} | tasks.write |
| Delete a task comment | DELETE /v1/task-comments/{commentId} | tasks.write |
| Add a checklist item to a task | POST /v1/tasks/{taskId}/checklist | tasks.write |
| Update a checklist item | PATCH /v1/task-checklist-items/{itemId} | tasks.write |
| Delete a checklist item | DELETE /v1/task-checklist-items/{itemId} | tasks.write |
| Attach a file to a task | POST /v1/tasks/{taskId}/attachments | tasks.write |
| Remove a task attachment | DELETE /v1/task-attachments/{attachmentId} | tasks.write |